<?php

namespace Drupal\contextual_reports\Plugin;

use Drupal\Component\Plugin\PluginBase;

/**
 * Base class for Contextual Report plugins.
 */
abstract class ContextualReportBase extends PluginBase implements ContextualReportInterface {

  /**
   * @param array $entities
   * @param array $params
   * @return array
   */
  public static function generateReportData(array $entities, array $params = []) {
    return [];
  }

  /**
   * @param mixed $data
   * @param array $params
   * @return array
   */
  public static function generateReport($data, array $params = []) {
    return [];
  }

}
